ur_rna.StructureEditor.services

## Class SceneColorizer

- java.lang.Object
- - ur_rna.StructureEditor.services.SceneColorizer

-     public abstract class SceneColorizer
      extends java.lang.Object

  Applies color to nucleobases in a scene.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `SceneColorizer.ColorMode`
    `static class` | `SceneColorizer.Comparison`
    `private static interface` | `SceneColorizer.DoubleComparer`
    `static class` | `SceneColorizer.NumberRangeList`
    `static class` | `SceneColorizer.PairProbabilityData`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `colorMode`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SceneColorizer(int colorMode)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `color(java.util.Collection<Nuc> nucs)` Return true if any nucs were affected.
    `abstract boolean` | `color(Nuc n)`
    `static SceneColorizer` | `ColorByDataValue(double[] values, SceneColorizer.NumberRangeList ranges, int colorMode)`
    `static SceneColorizer` | `ColorByProbability(SceneColorizer.PairProbabilityData values, SceneColorizer.NumberRangeList ranges, int colorMode)`
    `static SceneColorizer` | `ColorBySymbol(java.util.Map<java.lang.String,java.awt.Color> colors, int colorMode)`
    `static SceneColorizer` | `ColorRemover(int colorMode)`
    `private static boolean` | `colorsEqual(java.awt.Color c1, java.awt.Color c2)`
    `protected boolean` | `setColor(Nuc n, java.awt.Color c)`
    `protected boolean` | `setColor(Nuc n, java.awt.Color c, int colorMode)`
    `static SceneColorizer` | `SingleColor(java.awt.Color color, int colorMode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### colorMode

          protected int colorMode

  - ### Constructor Detail

    - #### SceneColorizer

          protected SceneColorizer(int colorMode)

  - ### Method Detail

    - #### color

          public boolean color(java.util.Collection<Nuc> nucs)

      Return true if any nucs were affected.

    - #### color

          public abstract boolean color(Nuc n)

    - #### ColorByDataValue

          public static SceneColorizer ColorByDataValue(double[] values,
                                                        SceneColorizer.NumberRangeList ranges,
                                                        int colorMode)

    - #### ColorByProbability

          public static SceneColorizer ColorByProbability(SceneColorizer.PairProbabilityData values,
                                                          SceneColorizer.NumberRangeList ranges,
                                                          int colorMode)

    - #### ColorBySymbol

          public static SceneColorizer ColorBySymbol(java.util.Map<java.lang.String,java.awt.Color> colors,
                                                     int colorMode)

    - #### ColorRemover

          public static SceneColorizer ColorRemover(int colorMode)

    - #### colorsEqual

          private static boolean colorsEqual(java.awt.Color c1,
                                             java.awt.Color c2)

    - #### setColor

          protected boolean setColor(Nuc n,
                                     java.awt.Color c)

    - #### setColor

          protected boolean setColor(Nuc n,
                                     java.awt.Color c,
                                     int colorMode)

    - #### SingleColor

          public static SceneColorizer SingleColor(java.awt.Color color,
                                                   int colorMode)